For the complete documentation index, see llms.txt. This page is also available as Markdown.

Members

This endpoint allows you to perform actions on a specific Member of your Team.

Fetch All Team Members

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

OK

application/json
Responseobject
get/api/v1/members
GET /api/v1/members HTTP/1.1
Host: integration.goodaccess.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

[
  {
    "id": "123e1234-aaa1-123b-b1e1-e1aae1af1b12",
    "created_at": "2024-04-03 15:10:48",
    "avatar": "https://example.com",
    "name": "john Doe",
    "username": "john-doe-example@example.com",
    "is_user_blocked": true,
    "is_mfa_active": true,
    "is_connected": true
  }
]

Fetch Team Member by its ID

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
teamMemberIdstringRequired

ID of team member

Responses
200

OK

application/json
Responseobject
get/api/v1/member/{teamMemberId}
GET /api/v1/member/{teamMemberId} HTTP/1.1
Host: integration.goodaccess.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "bdf69b20-5165-4dbc-82da-f4252cac5b8c",
  "name": "John Doe",
  "email": "john.doe@goodaccess.com",
  "avatar_url": "bunny.cdn",
  "is_mfa_active": true,
  "is_blocked": true,
  "is_connected": true
}

Disconnect Team Member by its ID

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
teamMemberIdstringRequired

ID of team member

Responses
200

OK

application/json
Responseobject
post/api/v1/member/{teamMemberId}/disconnect
POST /api/v1/member/{teamMemberId}/disconnect HTTP/1.1
Host: integration.goodaccess.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "message": "Member with id <member-id> has been disconnected."
}

💡 Implementing Step-Up Authentication

You can use the Disconnect endpoint to enforce Step-Up Authentication. By terminating an active session, you trigger a mandatory re-authentication challenge upon the next reconnection attempt.

Note: This requires specific security policies to be enabled in your Control Panel. For setup instructions and common use cases, please refer to our MFA Configuration Guide.

Create Team Member

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
objectOptionalExample: {"name":"Example name","password":"strongPassword"}
Responses
200

OK

application/json
Responseobject
post/api/v1/member
POST /api/v1/member HTTP/1.1
Host: integration.goodaccess.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 51

{
  "name": "Example name",
  "password": "strongPassword"
}
200

OK

{
  "created_id": "bdf69b20-5165-4dbc-82da-f4252cac5b8c",
  "message": "Member created successfully"
}

Update Team Member by its ID

put
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
teamMemberIdstringRequired

ID of team member

Body
namestring · max: 45Optional

New name for the member (only for members without an account)

passwordstring · min: 8 · max: 45Optional

New password for the member (only for members without an account)

is_user_blockedbooleanOptional

Block or unblock the member

Responses
200

OK

application/json
Responseobject
put/api/v1/member/{teamMemberId}
PUT /api/v1/member/{teamMemberId} HTTP/1.1
Host: integration.goodaccess.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 66

{
  "name": "name",
  "password": "strongPassword",
  "is_user_blocked": true
}
{
  "message": "Member with id <member-id> has been modified."
}

Delete Team Member by its ID

delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
teamMemberIdstringRequired

ID of team member

Responses
200

OK

application/json
Responseobject
delete/api/v1/member/{teamMemberId}
DELETE /api/v1/member/{teamMemberId} HTTP/1.1
Host: integration.goodaccess.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "message": "User with id <member-id> has been removed."
}

Relations

Last updated

Was this helpful?